Index: components/Header.jsx
===================================================================
--- components/Header.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/Header.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -116,5 +116,6 @@
               ...playerState.player,
               displayName: res.data?.displayName,
-              sesssion_id: res.data?.session_id,
+              username: res.data?.username,
+              session_id: res.data?.session_id,
               credits: res.data?.credits,
             }));
Index: components/LoginScreen.jsx
===================================================================
--- components/LoginScreen.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/LoginScreen.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -139,7 +139,7 @@
                 <div>
                     <span>Username:</span>
-                    <input ref={ref} type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.username} placeholder="your username..."/>
+                    <input ref={ref} type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.username} placeholder="johndoe"/>
                     <span>Password:</span>
-                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.password} placeholder="your password..."/>
+                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.password} placeholder="****************"/>
                     <div style={{width: '100%', display: 'flex', flexDirection: 'row', justifyContent: 'space-between'}}>
                         <button className="primaryButton" onClick={() => closeForm()}>Close Form</button>
Index: components/RegisterScreen.jsx
===================================================================
--- components/RegisterScreen.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/RegisterScreen.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -28,4 +28,14 @@
         }
     }, 10);
+
+    function onChangeEmail(e) {
+        dispatch(setStyle({
+            ...styleState.style,
+            registerScreenInfo: {
+                ...styleState.style.registerScreenInfo,
+                email: e.target.value,
+            }
+        }))
+    }
 
     function onChangeUsername(e) {
@@ -86,4 +96,5 @@
         axios.post('/api/postgre', {
             action: 'register',
+            email: styleState.style.registerScreenInfo.email,
             username: styleState.style.registerScreenInfo.username,
             displayName: styleState.style.registerScreenInfo.displayName,
@@ -109,5 +120,5 @@
                         notification: {
                             show: true,
-                            text: 'Successfully registered! Please Log In now.',
+                            text: 'Successfully registered! Please check your email and activate your account.',
                             status: 'success',
                         },
@@ -130,10 +141,12 @@
                 {styleState.style.inlineAlertText.length > 0 && <span className="inlineAlert">{styleState.style.inlineAlertText}</span>}
                 <div>
+                    <span>Email:</span>
+                    <input ref={ref} type="text" onChange={(e) => {onChangeEmail(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.email} placeholder="john.doe@gmail.com"/>
                     <span>Username:</span>
-                    <input ref={ref} type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.username} placeholder="your username..."/>
+                    <input type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.username} placeholder="johndoe"/>
                     <span>Display Name:</span>
-                    <input type="text" onChange={(e) => {onChangeDisplayName(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.displayName} placeholder="your display name..."/>
+                    <input type="text" onChange={(e) => {onChangeDisplayName(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.displayName} placeholder="John Doe"/>
                     <span>Password:</span>
-                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.password} placeholder="your password..."/>
+                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.password} placeholder="***************"/>
                     <div style={{width: '100%', display: 'flex', flexDirection: 'row', justifyContent: 'space-between'}}>
                         <button className="primaryButton" onClick={() => closeForm()}>Close Form</button>
Index: components/blackjack/BlackjackHeader.jsx
===================================================================
--- components/blackjack/BlackjackHeader.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/blackjack/BlackjackHeader.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -60,4 +60,6 @@
                     axios.get(`/api/blackjack?action=update_state&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(newRes => {
                         if (newRes.data?.success) {
+                            console.log(newRes.data);
+
                             dispatch(setBlackjackGame(newRes.data?.blackjackGame))
 
Index: components/poker/PokerHeader.jsx
===================================================================
--- components/poker/PokerHeader.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/poker/PokerHeader.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -34,4 +34,12 @@
         axios.get(`/api/poker?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
             if (res.data?.success) {
+                dispatch(setPlayer({
+                    ...playerState.player,
+                    displayName: res.data?.displayName,
+                    username: res.data?.username,
+                    session_id: res.data?.session_id,
+                    credits: res.data?.credits,
+                }))
+
                 if (interval !== null) clearInterval(interval);
 
Index: components/poker/sections/PickATable.jsx
===================================================================
--- components/poker/sections/PickATable.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/poker/sections/PickATable.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -32,9 +32,9 @@
 
     function createATable() {
-        axios.get(`/api/poker?action=create_a_table&session_id=${localStorage.CAESSINO_SESSION_ID}&displayName=${playerState.player.displayName}&tableName=${styleState.poker.inputControls.tableName}`);
+        axios.get(`/api/poker?action=create_a_table&session_id=${localStorage.CAESSINO_SESSION_ID}&displayName=${playerState.player.displayName}&tableName=${styleState.poker.inputControls.tableName}&username=${playerState.player.username}`);
     }
 
     function joinATable(e) {
-        axios.get(`/api/poker?action=join_a_table&session_id=${localStorage.CAESSINO_SESSION_ID}&tableId=${e.target?.dataset?.table}&displayName=${playerState.player.displayName}`);
+        axios.get(`/api/poker?action=join_a_table&session_id=${localStorage.CAESSINO_SESSION_ID}&tableId=${e.target?.dataset?.table}&displayName=${playerState.player.displayName}&username=${playerState.player.username}`);
     }
 
Index: components/roulette/RouletteHeader.jsx
===================================================================
--- components/roulette/RouletteHeader.jsx	(revision 55701f0270de2168597a7ca5d1a05ae6a66f516b)
+++ components/roulette/RouletteHeader.jsx	(revision e007fcdfa1962fb2f1a22d233c554eec360f982b)
@@ -7,5 +7,5 @@
 import { AiOutlineArrowLeft } from 'react-icons/ai'
 
-import { useEffect } from 'react'
+import { useEffect, useState } from 'react'
 import { useDispatch, useSelector } from 'react-redux'
 
@@ -86,5 +86,5 @@
                         }
 
-                        if (newRes.data?.extraAction && newRes.data?.extraAction !== "spin_wheel") {
+                        if (newRes.data?.extraAction !== "spin_wheel" && newRes.data?.extraAction2 !== "keep_alert") {
                             dispatch(setStyle({
                                 ...styleState.style,
